Subject: Re: 8xx v2.6 TLB problems and suggested workaround

From: Dan Malek <[email-masked]>
Date: Thu, 7 Apr 2005 22:09:58 -0400

On Apr 7, 2005, at 3:38 PM, Marcelo Tosatti wrote:

> Would be nice to have someone from 8xx team look into this?

I'll look into it and find some solution.  I suspect it is an
interaction with the previous TLB miss and the behavior
of the dcbst TLB look up.  Perhaps, if we ensure the
TLB entry is not valid at the time of the dcbst, it will work.
This is why the tlbie() I added as a hack a long time
ago made the "problem" disappear.  The other dcbxx
instructions in the code work on already existing pages,
while this one is a special case of a miss on a page
that doesn't exist.

Thanks.

	-- Dan